/*
 * asm-arm/arch-pxa/navu-dmacif.h
 *     -- Capture I/F to Frame buffer, direct transport on PXA270, header.
 *
 * Author:     Hirokazu ABE and Ryoichi KATO
 * Created:    April 18, 2008
 * Copyright:  Sony Corp.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef NAVU_DMACIF_H
#define NAVU_DMACIF_H

/* ioctl */
typedef struct {
    uint32_t xres;
    uint32_t yres;
    uint32_t blw;
    uint32_t elw;
    uint32_t hsw;
    uint32_t bfpw;
    uint32_t fsw;
    uint32_t bfw;
    uint32_t efw;
    uint32_t vsw;
    int deinterlace;
} navu_dmacif_property;

#define NAVU_DMACIF_IOC_MAGIC 'd'
#define NAVU_DMACIF_SET_CAPTURE_PROPERTY _IOW(NAVU_DMACIF_IOC_MAGIC, 1, navu_dmacif_property*)
#define NAVU_DMACIF_GET_CAPTURE_PROPERTY _IOR(NAVU_DMACIF_IOC_MAGIC, 2, navu_dmacif_property*)
#define NAVU_DMACIF_ENABLE _IO(NAVU_DMACIF_IOC_MAGIC, 3)
#define NAVU_DMACIF_DISABLE _IO(NAVU_DMACIF_IOC_MAGIC, 4)
#define NAVU_DMACIF_STATUS _IO(NAVU_DMACIF_IOC_MAGIC, 5)

#endif /* NAVU_DMACIF_H */
