
#ifndef __XYZ4_TUSSP_H
#define __XYZ4_TUSSP_H

#ifdef __cplusplus
#define _EXTERN_
extern "C" {
#else
#define _EXTERN_	extern
#endif /* __cplusplus */

#include <linux/ioctl.h>

/*--- Private ---*/
/* Register difinition */

/*--- Public ---*/
#define FRAME_LENGTH 	(16)

typedef struct {
	unsigned short	send[FRAME_LENGTH/sizeof(unsigned short)];
	unsigned short	recv[FRAME_LENGTH/sizeof(unsigned short)];
	unsigned long	timeout;	//1ms
} tuData;

typedef struct {
	int	act;	// 0:Normal 1:Resetting 2:PowerOFF
	int fwup;	// 0:Normal 1:updating
} tuStatus;

/*---[ IoControl code ]-------------------*/
#define XYZ4TU_MAGIC 'x'
#define XYZ4TU_SEND			(_IOR(XYZ4TU_MAGIC, 1, sizeof(tuData)))
#define XYZ4TU_RECV			(_IOR(XYZ4TU_MAGIC, 2, sizeof(tuData)))
#define XYZ4TU_POWER		(_IOR(XYZ4TU_MAGIC, 3, sizeof(int)))
#define XYZ4TU_RESET		(_IOR(XYZ4TU_MAGIC, 4, sizeof(int)))
#define XYZ4TU_UPDATE_BIT	(_IOR(XYZ4TU_MAGIC, 5, sizeof(int)))
#define XYZ4TU_CMD_BIT		(_IOR(XYZ4TU_MAGIC, 6, sizeof(int)))
#define XYZ4TU_STATUS		(_IOR(XYZ4TU_MAGIC, 7, sizeof(int)))

#ifdef __cplusplus
};
#endif /* __cplusplus */
#endif /* __XYZ4_TUSSP_H */

